#include "CoreMenuLoadoutPartWidget.h"
#include "LoadoutTooltipData.h"

class UMenuLoadoutPartViewData;

void UCoreMenuLoadoutPartWidget::UpdateBackgroundImage_Implementation()
{

}

void UCoreMenuLoadoutPartWidget::SetSelectedState(bool selectedState)
{

}

void UCoreMenuLoadoutPartWidget::SetPlusSignVisibilityWhenEmpty(const bool showPlusSignWhenEmpty)
{

}

void UCoreMenuLoadoutPartWidget::SetLoadoutPartData_Implementation(const UMenuLoadoutPartViewData* data)
{

}

void UCoreMenuLoadoutPartWidget::SetEmptyWidget()
{

}

void UCoreMenuLoadoutPartWidget::SetAvailabilityVisuals_Implementation(const bool isAvailable)
{

}

void UCoreMenuLoadoutPartWidget::SetAsInventoryGrid(const bool isInventoryGrid)
{

}

bool UCoreMenuLoadoutPartWidget::GetWidgetLockedState() const
{
	return false;
}

FName UCoreMenuLoadoutPartWidget::GetWidgetItemId() const
{
	return NAME_None;
}

FLoadoutTooltipData UCoreMenuLoadoutPartWidget::GetTooltipData() const
{
	return FLoadoutTooltipData{};
}

bool UCoreMenuLoadoutPartWidget::GetSelectedState() const
{
	return false;
}

UMenuLoadoutPartViewData* UCoreMenuLoadoutPartWidget::GetLoadoutPartData() const
{
	return NULL;
}

FText UCoreMenuLoadoutPartWidget::GetBeginnerModeTooltipText() const
{
	return FText::GetEmpty();
}

UCoreMenuLoadoutPartWidget::UCoreMenuLoadoutPartWidget()
{
	this->SlotIndex = ELoadoutSlot::ITEM_POWER;
	this->HorizontalAlignment = ETooltipHorizontalAlignment::Default;
	this->VerticalAlignment = ETooltipVerticalAlignment::Default;
	this->ShouldOverrideWidgetScale = false;
	this->WidgetScaleOverrideValue = 1.000000;
	this->ShouldOverrideStackCountFontSize = false;
	this->StackCountFontSizeOverrideValue = 0.000000;
	this->ShowShadowOffset = false;
	this->UnavailableRenderOpacity = 0.200000;
}
